API Reference / V2 Webhooks Redeliver a webhook Queues a new delivery with the same payload as a terminal delivery and returns the new delivery. Only succeeded and dead-letter deliveries can be sent again. Send an Idempotency-Key header.
POST /api/v2/developer/apps/{appId}/webhook-deliveries/{deliveryId}/redeliver
Parameters # Property Type Location Description appIdstringRequired path- deliveryIdstringRequired path- x-request-idstringheader- idempotency-keystringRequired header-
Request # curl --request POST 'https://strave.gg/api/v2/developer/apps/APP_ID/webhook-deliveries/DELIVERY_ID/redeliver' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 201Response for status 201
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 409Response for status 409
application/json 412Response for status 412
application/json 428Response for status 428
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobjectRequired - └ idstringRequired - └ applicationIdstringRequired - └ installationIdstringRequired - └ endpointIdstringRequired - └ eventIdstringRequired - └ eventTypestringRequired - └ statusstringRequired - └ attemptCountintegerRequired - └ responseStatusinteger | nullRequired - └ errorCodestring | nullRequired - └ redeliveryOfstring | nullRequired - └ createdAtstringRequired - └ updatedAtstringRequired - └ deliveredAtstring | nullRequired -